Articles of centos

如何在CentOS 6.3上安装libboost-devel

如何在CentOS 6.3上安装libboost-devel? 我已经尝试了以下命令: yum install libboost-devel 输出: Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: mirror.ellogroup.com * extras: mirror.ellogroup.com * updates: mirror.ellogroup.com Setting up Install Process No package libboost-devel available. Error: Nothing to do

每次我使用sudo它挂起之前完成

无论是否提示input密码,它都会在接受authentication和执行所要求的之间挂起。 换句话说, sudo ls会挂起约60秒。 我很困惑可能会造成这种情况。 这是在Centos 5上,我已经看了selinux并将其设置为禁用和启用,但似乎没有任何影响。

如何在CentOS 5.7 64位上安装mcrypt for PHP 5.3.3?

我安装了PHP 5.3和一些模块使用 yum install php53-{module-name} 但是mcrypt没有工作。 我像这样search: yum list php* | grep mcry 唯一包装出来了 php-mcrypt.x86-64 5.1.6-15.e15.centos.1 extras 我有与mhash完全相同的问题。 php的结果更令人困惑。 我知道这可能是一个愚蠢的问题,但任何帮助将不胜感激。 我习惯了Ubuntu的简单“apt-get install”,一切正常。 CentOS似乎更加注重细节。 谢谢。 编辑:这是我试过的: yum install php53-mcrypt 结果: No package php53-mcrypt available 试试这个: yum install php-mcrypt 结果是: Error: php53-common conflicts with php-common 因为php-mcrypt试图获得php-common作为依赖(?),我正在尝试在CentOS 5.7上使用php 5.3而不是默认的php 5.1。

在CentOS 6.3上安装最新的ImageMagick

我正在尝试在CentOS 6.3 x86_64服务器上安装最新版本的ImageMagick。 首先,我从ImageMagick网站下载了RPM,并尝试安装它。 由于缺less依赖关系,失败了: error: Failed dependencies: libHalf.so.4()(64bit) is needed by ImageMagick-6.8.0-4.x86_64 libIex.so.4()(64bit) is needed by ImageMagick-6.8.0-4.x86_64 libIlmImf.so.4()(64bit) is needed by ImageMagick-6.8.0-4.x86_64 libImath.so.4()(64bit) is needed by ImageMagick-6.8.0-4.x86_64 libltdl.so.3()(64bit) is needed by ImageMagick-6.8.0-4.x86_64 我安装了libtool-ltdl ,但是包含libltdl.so.7 ,而不是libltdl.so.4 。 我有一个与libHalf , libIex , libIlmImf和libImath类似的问题。 通常,您可以安装OpenEXR来获取这些依赖关系。 不幸的是,CentOS 6.3包含OpenEXR 1.6.1,其中包括ilmbase-devel 1.0.1。 而ilmbase-devel的这个版本包含了这些依赖关系的更新版本: libHalf.so.6 libIex.so.6 libIlmImf.so.6 libImath.so.6 我接下来尝试按照从源代码安装ImageMagick的说明 。 那里也没有运气。 […]

在Centos 6上为iptables加载模块的正确方法是什么?

我应该在哪里加载iptables模块,例如ip_conntrack和ip_conntrack_ftp。 我发现的地方可能是候选人,但是他们呢? /etc/init.d/iptables中的IPTABLES_MODULESvariables 在/etc/modprobe.conf中 在/etc/modprobe.d/xxxx.conf中

SSH连接冻结与“写入失败:损坏的pipe道”

我通过SSH从Ubuntu 11.04机器连接到CentOS 5.5盒子。 当连接处于活动状态(即没有延迟或丢失)时,连接似乎可以正常工作,但是如果一段时间内连接处于非活动状态,连接就会冻结,变得无法响应。 最终错误消息“Write failed:Broken pipe”将被退回,我将回到本地机器的提示符。 我可以做些什么来帮助debugging,找出正在发生的事情,并解决这个问题? 作为一名开发人员,这使得我的生活不得不不断重新连接。

从EPEL在Amazon EC2上安装

我正在尝试在我们的Amazon EC2 Linux AMI(CentOS)上安装fail2ban。 我知道fail2ban在EPEL中,所以我做了以下工作: wget http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm sudo rpm -Uvh epel-release*rpm 但是,当我这样做时,我收到以下消息: package epel-release-6-8.9.amzn1.noarch (which is newer than epel-release-6-8.noarch) is already installed 这意味着EPEL已经可用,但是如果我这样做: sudo yum install fail2ban 我得到: Loaded plugins: priorities, security, update-motd, upgrade-helper amzn-main | 2.1 kB 00:00 amzn-updates | 2.3 kB 00:00 Setting up Install Process No package fail2ban available. Error: Nothing to […]

什么是Centos 5的Apache用户/组

嗨,我知道这是基本的,但任何人都可以告诉我什么默认的用户/组名称为apache 2 centos 5/6请。 Google只是给我垃圾。

如何find我的服务器上的哪个脚本发送垃圾邮件?

我的服务器正在发送垃圾邮件,我无法找出哪个脚本正在发送它们。 这些电子邮件全部来自nobody@myhost因此禁止从cPanel中禁止nobody发送电子邮件 现在至less他们不出去,我一直在接受他们。 这是我得到的邮件: A message that you sent could not be delivered to one or more of its recipients. This is a permanent error. The following address(es) failed: eckert@clearfieldjeffersonredcross.org Mail sent by user nobody being discarded due to sender restrictions in WHM->Tweak Settings —— This is a copy of the message, including all the […]

要百胜更新? 或不?

请原谅这个相当直接的问题。 首先,我不是一个系统pipe理员,我的Linux经验有限。 大约3-4个月前,我在工作中设置了一个CentOS服务器,原因有很多。 我们用它作为网站(我们的客户可以访问)的开发服务器,颠覆服务器,并且我们也在那里为内部通信托pipe一个wiki,所以它已经成为我们非常重要的工具。 (可能比我想象的更重要!) 我注意到百胜希望更新约250个包到最新版本的回购。 由于服务器对我们来说工作正常,我应该冒更新这些软件包的风险吗? 当我更新所有内容时,安全风险是否超过了服务器崩溃的风险? 我应该指出,虽然我已经备份了所有的东西,但是需要一段时间才能把所有东西都设置成现在的样子,而且我现在没有太多的空闲时间。 如果build议要更新,是否有任何可以传递的最佳实践来使过程尽可能安全? 预先感谢您的任何build议。 更新 – 感谢您的回复大家。 如果我有足够的代表赶上每个人,我会的。 ;)我决定鬼影硬盘和更新。 不幸的是,暂时无法获得全部或部分时间的系统pipe理员,所以我只需要尽我所能来处理这个问题!